Search for end

  1. Search 7.x for end
  2. Search 9.5.x for end
  3. Search 8.9.x for end
  4. Search 10.3.x for end
  5. Search 11.x for end
  6. Other projects
Title Object type File name Summary
RequiredConfigDependenciesConstraintValidator::__construct function core/lib/Drupal/Core/Config/Plugin/Validation/Constraint/RequiredConfigDependenciesConstraintValidator.php Constructs a RequiredConfigDependenciesConstraintValidator object.
ResourceObjectNormalizationCacher::mergeCacheableDependencies function core/modules/jsonapi/src/EventSubscriber/ResourceObjectNormalizationCacher.php Determines the joint cacheability of all provided dependencies.
ResourceResponseSubscriber::renderResponseBody function core/modules/jsonapi/src/EventSubscriber/ResourceResponseSubscriber.php Renders a resource response body.
ResourceResponseSubscriber::renderResponseBody function core/modules/rest/src/EventSubscriber/ResourceResponseSubscriber.php Renders a resource response body.
ResponsiveImageFieldDisplayTest::testResponsiveImageFieldFormatterAttributesInRenderArray function core/modules/responsive_image/tests/src/Functional/ResponsiveImageFieldDisplayTest.php Tests formatter passes down any attributes in the render array.
ResponsiveImageFormatter::calculateDependencies function core/modules/responsive_image/src/Plugin/Field/FieldFormatter/ResponsiveImageFormatter.php Calculates dependencies for the configured plugin.
ResponsiveImageIntegrationTest::testEntityViewDisplayDependency function core/modules/responsive_image/tests/src/Kernel/ResponsiveImageIntegrationTest.php Tests integration with entity view display.
ResponsiveImageStyle::calculateDependencies function core/modules/responsive_image/src/Entity/ResponsiveImageStyle.php Calculates dependencies and stores them in the dependency property.
ResponsiveImageStyleConfigEntityUnitTest::testCalculateDependencies function core/modules/responsive_image/tests/src/Unit/ResponsiveImageStyleConfigEntityUnitTest.php Tests calculate dependencies.
RestExport::$renderer property core/modules/rest/src/Plugin/views/display/RestExport.php The renderer.
RestExport::render function core/modules/rest/src/Plugin/views/display/RestExport.php Renders this display.
RestResourceConfig::calculateDependencies function core/modules/rest/src/Entity/RestResourceConfig.php Calculates dependencies and stores them in the dependency property.
RestResourceConfig::getRestResourceDependencies function core/modules/rest/src/Entity/RestResourceConfig.php Returns the REST resource dependencies.
RestResourceConfig::onDependencyRemoval function core/modules/rest/src/Entity/RestResourceConfig.php Informs the entity that entities it depends on will be deleted.
RestResourceConfigTest::testCalculateDependencies function core/modules/rest/tests/src/Kernel/Entity/RestResourceConfigTest.php Tests calculate dependencies.
RestripeCommand::render function core/lib/Drupal/Core/Ajax/RestripeCommand.php Implements Drupal\Core\Ajax\CommandInterface:render().
Result::render function core/modules/views/src/Plugin/views/area/Result.php Render the area.
RevisionLink::renderLink function core/modules/node/src/Plugin/views/field/RevisionLink.php Prepares the link to view an entity.
RevisionLinkDeleteTest::testRenderNullEntity function core/modules/node/tests/src/Unit/Plugin/views/field/RevisionLinkDeleteTest.php Test the render method when getEntity returns NULL.
RevisionLinkRevertTest::testRenderNullEntity function core/modules/node/tests/src/Unit/Plugin/views/field/RevisionLinkRevertTest.php Test the render method when getEntity returns NULL.
RevisionLinkTest::testRenderNullEntity function core/modules/node/tests/src/Unit/Plugin/views/field/RevisionLinkTest.php Test the render method when getEntity returns NULL.
Role::calculateDependencies function core/modules/user/src/Entity/Role.php Calculates dependencies and stores them in the dependency property.
Role::calculateDependencies function core/modules/user/src/Plugin/views/access/Role.php Calculates dependencies for the configured plugin.
Role::onDependencyRemoval function core/modules/user/src/Entity/Role.php Informs the entity that entities it depends on will be deleted.
Roles::calculateDependencies function core/modules/user/src/Plugin/views/filter/Roles.php Calculates dependencies for the configured plugin.
Roles::preRender function core/modules/user/src/Plugin/views/field/Roles.php Runs before any fields are rendered.
Roles::render_item function core/modules/user/src/Plugin/views/field/Roles.php Renders a single item of a row.
RouteProcessorCsrf::renderPlaceholderCsrfToken function core/lib/Drupal/Core/Access/RouteProcessorCsrf.php Render API callback: Adds a CSRF token for the given path to the markup.
RowEntityRenderersTest class core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php Tests the entity row renderers.
RowEntityRenderersTest.php file core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php
RowEntityRenderersTest::$ids property core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php The IDs.
RowEntityRenderersTest::$langcodes property core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php An array of added languages.
RowEntityRenderersTest::$modules property core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php Modules to install.
RowEntityRenderersTest::$testAuthor property core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php The author of the test content.
RowEntityRenderersTest::$testViews property core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php Views used by this test.
RowEntityRenderersTest::$values property core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php The values.
RowEntityRenderersTest::assertTranslations function core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php Checks that the view results match the expected values.
RowEntityRenderersTest::checkLanguageRenderers function core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php Checks that the language renderer configurations work as expected.
RowEntityRenderersTest::checkLanguageRenderersRelationship function core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php Checks language renderer configurations work with relationships.
RowEntityRenderersTest::setUp function core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php
RowEntityRenderersTest::testEntityRenderers function core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php Tests the entity row renderers.
RowEntityRenderersTest::testEntityRenderersRelationship function core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php Tests the entity row renderers for relationships.
RowEntityRenderersTest::testFieldRenderers function core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php Tests the field row renderers.
RowEntityRenderersTest::testFieldRenderersRelationship function core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php Tests the field row renderers for relationships.
RowEntityRenderersTest::testRevisionBaseTable function core/modules/views/tests/src/Kernel/Entity/RowEntityRenderersTest.php Tests the row renderer with a revision base table.
RowPluginBase::preRender function core/modules/views/src/Plugin/views/row/RowPluginBase.php Allow the style to do stuff before each row is rendered.
RowPluginBase::render function core/modules/views/src/Plugin/views/row/RowPluginBase.php Creates a render array for a row object.
RowTest::calculateDependencies function core/modules/views/tests/modules/views_test_data/src/Plugin/views/row/RowTest.php Calculates dependencies for the configured plugin.
RowTest::render function core/modules/views/tests/modules/views_test_data/src/Plugin/views/row/RowTest.php Creates a render array for a row object.
Rss::preRender function core/modules/node/src/Plugin/views/row/Rss.php Allow the style to do stuff before each row is rendered.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.